`bubble.arma` <-
function(obj,        #Objeto do tipo arma
                        bairro,     #Bairro
                        data=1,     #Posio da Data
                        text=FALSE, #Plotar nomes das armadilhas
                        col="green",#Cor do Grfico
                        ...)        #Argumentos Passados para outros mtodos
{
  Total <-  obj$resp[[bairro]][[data]]$NRO_OVOS[!is.na(obj$resp[[bairro]][[data]]$NRO_OVOS)]
  #print(Total)
  x <- coordinates(obj$pts[obj$pts$ID %in% unique(obj$resp[[bairro]][[data]]$COD_ARMADILHA)
                         [!is.na(obj$resp[[bairro]][[data]]$NRO_OVOS)],])[,1]
  y <- coordinates(obj$pts[obj$pts$ID %in% unique(obj$resp[[bairro]][[data]]$COD_ARMADILHA)
                         [!is.na(obj$resp[[bairro]][[data]]$NRO_OVOS)],])[,2]
  #print(cbind(x, y))
  az <- abs(Total)
  q <- sqrt(quantile(Total))
  cex <- as.vector(3 * az/max(az, q))
  codbairro <- c(40, 94, 73, 55, 51)
  names(codbairro) <- c("DI", "BT", "EM", "CFP", "MCP")
  nmarma <- unique(obj$resp[[bairro]][[data]]$COD_ARMADILHA)
  plot(obj$poly[[codbairro[names(codbairro)==bairro]]], asp=1, type="l", main="", axes=FALSE,xlab="",ylab="")
  points(x, y, asp=1, cex=cex, pch=16, col=col)
  if(text)text(x-20,y-20, substr(nmarma, 3,6),...)
}

