`plot.arma` <-
function(x,         #Obejto da classe arma
                      arma,      #Armadilha
                      logar=TRUE,#Usar Logaritmo
                      leg=TRUE,  #Usar legenda
                      ...)       #Outros argumentos passados  plot.default
{
  if(!is.arma(x))stop("\nClasse do objeto nao e' do tipo \"arma\"\n")
  if(arma %in% x$pts$ID)p <- x$pts$IDB[x$pts$ID==arma]else stop("\nArmadilha no encontrada")
  if(!exists("viz", mode="list"))stop("\nA funcao neigh(x) no foi executada\n")
  neig <- do.call("rbind", lapply(viz[[x$pts$IDB[x$pts$ID==arma]]][[x$pts$POS[x$pts$ID==arma]]], 
                  function(arma)x$armabairro[[p]][[arma]]))
    if(logar==TRUE){
      ovos<- tapply(log(x$armadilhas[[arma]]$NRO+.5), 
                    format.Date(x$armadilhas[[arma]]$DATA_COLETA,  "%Y-%m"), 
                    mean, na.rm=T)
      mediag <- tapply(log(x$dados$NRO+.5), 
                       format.Date(x$dados$DATA_COLETA, "%Y-%m"), 
                       function(arma)mean(arma, na.rm=T))
      mediav<-tapply(log(neig$NRO+.5), 
                     list(format.Date(neig$DATA_COLETA, "%Y-%m"),neig$COD), 
                     function(arma)mean(arma, na.rm=T))
      mbairro <- mean(sapply(1:length(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]]), 
                      function(i)mean(log(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]][[i]]$NRO+.5), 
                      na.rm=TRUE)))
      limbairro <- mbairro+3*sd(sapply(1:length(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]]),
                   function(i)mean(log(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]][[i]]$NRO+.5),
                   na.rm=TRUE)))
    }else{
      ovos<- tapply(x$armadilhas[[arma]]$NRO,
                    format.Date(x$armadilhas[[arma]]$DATA_COLETA,"%Y-%m"), 
                    function(arma)mean(arma, na.rm=T))
      mediag <- tapply(x$dados$NRO, format.Date(x$dados$DATA_COLETA, "%Y-%m"),
                       function(arma)mean(arma, na.rm=T))
      mediav<-tapply(neig$NRO, list(format.Date(neig$DATA_COLETA, "%Y-%m"),neig$COD),
                     function(arma)mean(arma, na.rm=T))
      mbairro <- mean(sapply(1:length(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]]),
                      function(i)mean(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]][[i]]$NRO, na.rm=TRUE)))
      limbairro <- mbairro+3*sd(sapply(1:length(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]]),
               function(i)mean(x$armabairro[[x$pts$IDB[x$pts$ID==arma]]][[i]]$NRO, na.rm=TRUE)))}
      desvio <- ifelse(logar==TRUE, 
                   mean(log(x$dados$NRO+.5), na.rm=TRUE)+3*sd(log(x$dados$NRO+.5), na.rm=T),
                   mean(x$dados$NRO, na.rm=TRUE)+3*sd(x$dados$NRO, na.rm=T))
      medianeig <- apply(mediav, 1, function(arma)mean(arma, na.rm=TRUE))

  if(logar==TRUE){
    lim=c(log(.5),log(max(x$dados$NRO[x$dados$BAIRRO==unique(x$dados$BAIRRO[x$dados$COD==arma])], na.rm=T)))
  }else{
    lim=c(0,max(x$dados$NRO[x$dados$BAIRRO==unique(x$dados$BAIRRO[x$dados$COD==arma])], na.rm=T))
  }
  codbairro <- list(BT=94, CFP=c(54,55), DI=c(39,40), EM=73, MCP=c(51,52))
  cod <- codbairro[[x$pts$BAIRRO[x$pts$ID==arma]]]
  mylayout<-layout(matrix(c(1,1,2,3), ncol=2), width=c(3,1), hei=c(1,1))
  par(mar = c(6, 4, 4, 2) + 0.1)
  plot(ovos, xaxt = "n",  xlab = "", type="n", ylab="Numero de Ovos", ylim=lim)
  lines(ovos, col="black", pch=16, cex=0.8)
  lines(ovos, type="p", col=ifelse(ovos > desvio, "red", "black"), pch=16, cex=0.8)
  lines(mediag, col="blue", lty=2)
  abline(h=mbairro, lty=2, col="green")
  abline(h=limbairro, col="gray", lty=2)
  abline(h=desvio, lty=2, ...)
  abline(h=mean(ifelse(logar==TRUE, log(x$dados$NRO+0.5),x$dados$NRO), na.rm=T))
  lines(medianeig, lty=2, col="red")
  axis(1, labels = FALSE,)
  labels <- rownames(ovos)
  text(1:length(ovos), par("usr")[3] - 0.25, srt = 90, adj = 1,labels = labels,
  xpd = TRUE, cex=0.7)
  mtext(1, text = "Datas", line = 4)
  title(paste("Armadilha - ", unique(x$armabairro[[p]][[x$pts$POS[x$pts$ID==arma]]]$COD), sep=""))
  par(mar=c(1,0.1,4,1))
  if(length(cod)==2){
    plot(x$poly[[cod[1]]],
         xlim=range(x$poly[[cod[1]]][,1],x$poly[[cod[2]]][,1]),
         ylim=range(x$poly[[cod[1]]][,2],x$poly[[cod[2]]][,2]),
         type="n", asp=1,axes=F, xlab="", ylab="")
    polygon(x$poly[[cod[1]]], lwd=2, col=colors()[3])
    polygon(x$poly[[cod[2]]], lwd=2, col=colors()[3])
  }else{
    plot(x$poly[[cod]], type="n", axes=F, xlab="", ylab="")
    polygon(x$poly[[cod]], asp=1, lwd=2,xlab="", ylab="", col=colors()[3])
  }
  points(coordinates(x$pts[x$pts$ID==arma,]), pch=16, cex=1.5, col="blue")
  par(mar=c(5.5,0.1,0.1,1))
  plot(0, xlim=c(0,1), ylim=c(0,1), axes=F, xlab="", ylab="", type="n")
  if(leg==TRUE){
      legend(x=0, y=.5,
              c("Media Mensal", "Media Geral", "Lim.Sup", "Media Viz.", "Media Bairro", "Lim. Bairro"),
              col=c("blue","black", "black","red","green", "gray"),
              lty=c(2,1,2,2, 2,2),
              lwd=rep(2,6),
              bg="white",
              cex=1,
              bty="n")}
        return(list("Armadilhas Vizinhas"=unique(neig$COD),"Media Bairro"=mbairro, "Limite Superior"=limbairro))
}

