`plotDyna` <-
function(obj,                    #Predicoes
                     objarma=aed,            #Objeto da classe aed
                     loc=getwd(),            #Local para gerar as imagens
                     ntrans=8,               #Numero de Transies
                     col=terrain.colors(20), #Cor do Grfico
                     contour=F,              #Contorno
                     nome,                   #Nome do Arquivo de Vdeo
                     nframe=10,              #Numero de Frames por Segundo
                     ...)                    #Argumentos passados  kfademaps
{
  if(.Platform$OS.type != "unix")stop("Funcao nao suportada por este sistema")
  
  codbairro <- list(BT=94, CFP=c(54,55), DI=c(39,40), EM=73, MCP=c(51,52))
  jpeg(paste(loc, "/fade%04d.jpg", sep=""),480,480)
  kfademaps(mapas=obj,ntrans=ntrans,
            contorno=objarma$poly[[codbairro[[obj[[1]]$Bairro]]]],
            zlim=c(0,11),
            paleta=col,
            bairro=obj[[1]]$Bairro,
            len=length(obj),
            objarma=objarma,
            ...)
  dev.off()
  if(missing(nome)){
    nome <- paste(obj[[1]]$Metodo, obj[[1]]$Bairro, ".avi", sep="")
  }  
  
  diro <- getwd()
  if(is.na(file.info(loc)$isdir)){
    dir.create(loc, showWarnings=F)
  }    
  setwd(loc) 
  cmd <- paste("mencoder mf://*.jpg -mf w=480:h=480:fps=", nframe,
               ":type=jpg -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell",
               " -oac copy -o ", nome, sep="")
  system(cmd, intern=TRUE)
  system(paste("mplayer", nome), intern=TRUE)
  setwd(diro)
}

